Skip to main content
GET
/
storage
/
v4
/
object_storages
List S3-compatible storages
curl --request GET \
  --url https://api.gcore.com/storage/v4/object_storages \
  --header 'Authorization: <api-key>'
{
  "count": 1,
  "results": [
    {
      "address": "luxembourg-2.storage.example.com",
      "created_at": "2025-08-05 09:17:02+00:00",
      "id": 1,
      "location_name": "luxembourg-2",
      "name": "my-storage-prod",
      "provisioning_status": "active"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Query Parameters

id
string

Filter by storage ID

name
string

Filter by storage name

location_name
string

Filter by storage location/region

offset
integer<uint64>

Number of records to skip

Required range: x >= 0
limit
integer<uint64>
default:10

Max number of records in response

Required range: 1 <= x <= 1000
order_by
string
default:created_at.desc
provisioning_status
enum<string>

Filter by provisioning status

Available options:
active,
creating,
updating,
deleting,
deleted
show_deleted
boolean

Include deleted storages

Response

S3StorageListEndpointResV4

count
integer<int64>
required

Total number of S3 storages matching the filter

Example:

1

results
S3StorageListItemV4 S3-compatible storage summary. Use the id to fetch full details or the address to connect. · object[]
required

The list of S3 storages